Last Comment Bug 818437 - Bookmarks toolbar items not populated if grippy is collapsed when the browser window is opened
: Bookmarks toolbar items not populated if grippy is collapsed when the browser...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: SeaMonkey 2.14 Branch
: x86_64 Windows 7
: -- normal (vote)
: seamonkey2.19
Assigned To: Philip Chee
:
Mentors:
: 851081 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-05 04:15 PST by R.G.Belleman
Modified: 2013-03-16 20:37 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Proposed fix. (1.42 KB, patch)
2013-03-16 07:32 PDT, Philip Chee
neil: review+
Details | Diff | Splinter Review

Description R.G.Belleman 2012-12-05 04:15:10 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 SeaMonkey/2.14
Build ID: 20121118021014

Steps to reproduce:

1. Make sure the "Bookmarks Toolbar" is visible and has items in it
2. Minimize the toolbar with the little triangle button at far left
3. Open a new browser window (e.g. Ctrl-N)
4. De-minimize the toolbar with the little triangle button at far left


Actual results:

The "Bookmarks Toolbar" items do not show.

Having done the previous steps, again open a new browser window:
this time the "Bookmarks Toolbar" items /do/ show.


Expected results:

The "Bookmarks Toolbar" items should always show when the toolbar is not minimized.
Comment 1 therube 2012-12-05 07:04:52 PST
Confirmed.
Comment 2 therube 2013-03-14 11:36:20 PDT
*** Bug 851081 has been marked as a duplicate of this bug. ***
Comment 3 Philip Chee 2013-03-16 07:32:37 PDT
Created attachment 725771 [details] [diff] [review]
Patch v1.0 Proposed fix.

Ignore hidden/collapsed state of the bookmarks toolbar when running PlacesToolbarHelper.init().
Comment 4 Philip Chee 2013-03-16 20:37:35 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/57f97b40a8d1

Note You need to log in before you can comment on or make changes to this bug.